User V4
Update user calendar sync provider
Updates the calendar sync provider settings for a specific user. Only company admins can update calendar sync settings. The calendar sync provider determines which calendar service (Google, Outlook, iCloud, CalDAV, Exchange, Nextcloud, SmartWe) is used to sync the user’s availability and create calendar events for bookings. Provide the calendar connection ID and provider type to set the sync provider.
PATCH
/
v4
/
user
/
{id}
/
calendar-sync
Update user calendar sync provider
curl --request PATCH \
--url https://api.example.com/v4/user/{id}/calendar-sync \
--header 'Content-Type: application/json' \
--header 'x-meetergo-api-user-id: <api-key>' \
--data '
{
"calendarSyncProviders": {
"id": "<string>"
},
"id": "<string>"
}
'import requests
url = "https://api.example.com/v4/user/{id}/calendar-sync"
payload = {
"calendarSyncProviders": { "id": "<string>" },
"id": "<string>"
}
headers = {
"x-meetergo-api-user-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-meetergo-api-user-id': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({calendarSyncProviders: {id: '<string>'}, id: '<string>'})
};
fetch('https://api.example.com/v4/user/{id}/calendar-sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}Authorizations
ApiUserHeaderJWTApiKey
User ID to act on behalf of. Platform API Keys only (required with an API Key unless the endpoint states otherwise). Requests authenticated with a Personal Access Token are rejected if this header names another user.
Path Parameters
Unique identifier of the user to update
Example:
"123e4567-e89b-12d3-a456-426614174000"
Body
application/json
Response
Calendar sync provider updated successfully
⌘I
Update user calendar sync provider
